Account Access


Portfolio Online: Monitor & Manage Investment Accounts

Welcome to the newly upgraded Portfolio Online!

With Portfolio Online, it's convenient and easy to access your account online. You can view more information than ever before, plus leverage enhanced features to help monitor and manage your investment account(s).

  Access Portfolio Online
For assistance accessing and navigating your Portfolio Online account, please print or save the Portfolio Online User Guide.   Portfolio Online User Guide
   

We have enhanced our sign on process to provide you with an added layer of security. Upon logging in, you are required to go through the enhanced secure sign on process. To learn more please read our FAQ.


Windows IE version 11 is currently not a supported browser for Portfolio Online.

HOWEVER, below are steps you can take to Set the Compatibility Mode.

While in the Portfolio Online window Set Compatibility Mode:

  1. By default the browser menu bar is not viewable, to view, right click in the field at the top of the browser window and select menu bar.
  2. When the Menu bar is visible near the top left of the browser window, you will be able to select the Tools option.
  3. From the Tools menu, select Compatibility View Settings, which opens in a popup window.
  4. In the window you are presented with the option of adding the fisglobal.com website to the list of sites that you would like to view in compatibility mode.
  5. Upon closing the popup, the browser page will be refreshed and should load correctly.
  6. Removing the site from the Compatibility View Setting table resulted in return of the script error.

If you have any questions regarding the above, please contact your relationship manager.


Supported browser versions include:

Compatible Browser: Compatible Operating Systems:
Internet Explorer 8.0 Vista, Windows XP, Windows 7
Internet Explorer 9.0 Vista, Windows 7
Firefox Vista, Windows XP, Windows 7
Google Chrome Vista, Windows XP, Windows 7
Safari

Mac OS X version 10.6 "Snow Leopard"
Mac OS X version 10.7 "Lion"


You will need Adobe Acrobat Reader to view some of these documents and forms. You can download the reader by clicking here or on the link below
Get Acrobat Reader